require"cgilua.serialize"

local assert, pairs, type, loadstring = assert, pairs, type, loadstring
local format, strfind, strrep, strsub = string.format, string.find, string.rep, string.sub
local abs = math.abs
local serialize = cgilua.serialize
local ap = ap

module ("cgilua.globle")

function delete (id)
	ap.storage("GID"..id,nil)
end

function get (id)
	local script = ap.storage("GID"..id)
	if (script) then
	  local f, err = loadstring (script)
 	  if not f then
		   return nil, err
	  else
		   return f()
	  end
	else
	  return nil, "Not exist globle "..id
	end
end

function set (id, data)
	local content = "return "
	serialize(data, function (s) content = content..s end)
	ap.storage("GID"..id, content, 2^31-1);
end

