----------------------------------------------------------------------------
-- $Id: response.lua,v 1.2 2007/01/31 13:11:37 zhaozg Exp $
----------------------------------------------------------------------------

local ap = ap
local unpack = unpack

module"SAPI.response"

----------------------------------------------------------------------------
function open ()
	return {
		contenttype = ap.set_content_type,
		errorlog =  ap.log_error ,
		header = ap.add_err_headers_out ,

		redirect = function (url)
			ap.set_headers_out ("Location", url)
			return ap.HTTP_MOVED_TEMPORARILY
		end,

		write = function (...)
			local arg = arg or {...}
			return ap.rwrite (unpack (arg))
		end,
	}
end
